## gnome-shell-extension-ubuntu-dock 90ubuntu2

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (90ubuntu2) noble; urgency=medium

  * debian: Update references to the noble branch
  * locations: Do not cancel operations after a volume has been
    umounted / removed (LP: #1993054)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 23 Aug 2024 14:08:50 -0400

## gnome-shell-extension-ubuntu-dock 90ubuntu3

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (90ubuntu3) noble; urgency=medium

  [ Alessandro Astone ]
  * Fix window selected from preview not getting focus (LP: #1997550)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Thu, 03 Apr 2025 14:00:19 +0800

=== debian/control ===
Source: gnome-shell-extension-ubuntu-dock
Section: gnome
Priority: optional
Maintainer: Marco Trevisan <marco@ubuntu.com>
Build-Depends: debhelper (>= 10),
               dh-translations,
               eslint <!nocheck>,
               libglib2.0-bin,
               node-chalk <!nocheck>,
               node-js-yaml <!nocheck>,
               node-strip-ansi <!nocheck>,
               sassc,
Standards-Version: 4.1.1
Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-noble
Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-noble
Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md

Package: gnome-shell-extension-ubuntu-dock
Architecture: all
Depends: gnome-shell (<< 47~),
         gnome-shell (>= 45~),
         ${misc:Depends},
         ${shlibs:Depends}
Replaces: gnome-shell-extension-dashtodock,
Description: Ubuntu Dock for GNOME Shell
 A dock for the Gnome Shell, default Ubuntu experience.
 .
 This extension is a modified version of Dash To Dock with different defaults.
 Dash To Dock can be installed to replace it and give more (but unsupported)
 configuration options.

## gnome-shell-extension-ubuntu-dock 99ubuntu1

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (99ubuntu1) oracular; urgency=medium

  * New uptream bugfix release
  * theming: Give Clutter.Color priority over Cogl.Color.
    While now there's only Cogl.Color, in previous versions we had both so
    giving Cogl priority broke the theming support
  * utils: Use an extra parameter for property injector constructor.
    By adding parameters in commit 611690cc33 we ended up hiding the base
    object constructor parameter, and so the support for automatic
    disconnection on parent object destruction. (LP: #2083621)

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 03 Oct 2024 17:36:01 +0200

gnome-shell-extension-ubuntu-dock (97ubuntu1) oracular; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream bugfix release
  * appIcons: Raise the snap store before selecting a snap (LP: #2081716)

  [ vinchatl ]
  * Update French translation

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 02 Oct 2024 01:33:52 +0200

gnome-shell-extension-ubuntu-dock (96ubuntu3) oracular; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * appIconsDecorator: Keep showing the details items when updating
  * theming, appIconIndicators: Support both Cogl.Color and Clutter.Color

  [ Daniel van Vugt ]
  * theming: Add support for Cogl.Color since Clutter.Color is deprecated in 47

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 17 Sep 2024 00:16:44 +0200

gnome-shell-extension-ubuntu-dock (96ubuntu2) oracular; urgency=medium

  * appIcons: Show app details menu for snap applications

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Mon, 16 Sep 2024 23:23:01 +0200

gnome-shell-extension-ubuntu-dock (96ubuntu1) oracular; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New Upstream Release
  * utils: Add clamp function and use it for Indicators values
  * appIndicators: Add function to read theme values in a more JS way
  * appIconIndicators: Make progress bar paddings styled
  * stylesheet: Make alignment in progress overview icons more consistent
  * appIconIndicators: Make progress bar height factor styled
  * stylesheet: Use lighter progress bar on bigger overview icons
  * appIconIndicators: Do not add notification badge code unless needed
  * appIcons[Decorator]: Improve wording on updating messages

  [ Sergio Costas Rodriguez ]
  * Fix "Show Applications" button

  [ Yaroslav Pronin ]
  * Add `Dot` running indicator style
  * Update Russian translations

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Thu, 05 Sep 2024 21:04:56 +0200

gnome-shell-extension-ubuntu-dock (95ubuntu1) oracular; urgency=medium

  * New upstream release
  * appIconsDecorator: Use the generic icons signal handler for result
  * appIconsDecorator: Destroy indicators on removal
  * appIconsDecorator: Drop unneeded eslint ignores
  * appIconsDecorator: Use a signal signals handler with labels
  * appIconIndicators: Use lambda-style callbacks for better debugging
  * utils: Remove signal handler item on object destruction

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 27 Aug 2024 18:01:33 -0400

gnome-shell-extension-ubuntu-dock (94ubuntu1) oracular; urgency=medium

  * New upstream release
  * cleanup: Fix various comments and code typos
  * notificationsMonitor: Try to get appId from the source if set
  * appIcons: Sync comment change with ubuntu-dock
  * appIcons: Fix comment typo
  * appIcons: Remove duplicate source definition on DockAppIconMenu
  * stylesheet: Add missing declaration for overview tile states
  * appIcons: Allow to update the dot style offset in x too
  * appIcons: Show an OSD error if trying to launch an updating app
  * appIcons: Always add a disabled menu item with the app title
  * appIcons: Inform in menu items that the app is being being updated
  * appIcons: Delete menu instance from app icon on destruction
  * appIcons: use upstream definition of shouldShowTooltip
  * docking: Patch AppIcon to have more consistent Pin labels
  * appIcons: Use a labeled menu item separator for application title
  * appIcons: Drop code that is not used anymore by any supported version
  * appIconIndicator: Move style handling for updating state here
  * appIcons: Setup unity indicator properties on construction
  * appIconsDecorator: Support decorating app icons with emblems everywhere
  * launcherAPI: Avoid using regexes to replace all values in a string
  * appIndicators: Allow theming progress offsets
  * utils: Support injecting properties that are not on the main object
  * appIconsDecorator: Update icons style on updating changes
  * appIconsDecorator: Do not allow launching any application in updating state
  * appIconsDecorator: Hide all menu items except unpinning ones on updating

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Sat, 24 Aug 2024 00:53:35 -0400

gnome-shell-extension-ubuntu-dock (93ubuntu1) oracular; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * docking: Use the signal handler to disconnect on startup-completed signal
  * locations: Do not cancel operations after a volume has been umounted/removed
    (LP: #1993054)
  * locations: Do not warn if a file info has not the icon attribute
  * locations: Ask again for password on encryption failures
  * appIcons: Make possible to override updating icons style from css
  * appIcons: Do not allow launching a new window if the app is updating
  * appIcons: Hide launch menu items and generic actions if the app is updating
  * docking: Use the signal handler to disconnect on startup-completed signal
  * appIcons: Show an OSD error if trying to launch an updating app
  * appIcons: Always add a disabled menu item with the app title
  * appIcons: Inform in menu items that the app is being being updated
  * debian/control: Add support for GNOME Shell 47

  [ Byoungchan Lee ]
  * i18n: Add Korean translation

  [ Sergio Costas Rodriguez ]
  * Fix window preview in Gnome 45
  * Move .actor test to its own function
  * Fix communication with DING


=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                node-strip-ansi <!nocheck>,
                sassc,
 Standards-Version: 4.1.1
-Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock-noble
-Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock-noble
+Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
+Vcs-Browser: https://github.com/micheleg/dash-to-dock/tree/ubuntu-dock
 Homepage: https://github.com/micheleg/dash-to-dock/blob/ubuntu-dock/README.md
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 47~),
+Depends: gnome-shell (<< 48~),
          gnome-shell (>= 45~),
          ${misc:Depends},
          ${shlibs:Depends}

## gnome-shell-extension-ubuntu-dock 100ubuntu2

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (100ubuntu2) plucky; urgency=medium

  [ Alessandro Astone ]
  * dash: Support new API for retrieving scroll adjustment (LP: #2102002)
  * dash: Simplify scroll computation by always using the SMOOTH events
  * dash: Handle vertical scrolling on a horizontal dock

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 17 Mar 2025 18:57:25 +0800

gnome-shell-extension-ubuntu-dock (100ubuntu1) plucky; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release
  * appIcons: Be consistent on menu items styles

  [ Yevhen Popok ]
  * Update uk_UA.po

  [ Amr Ibrahim ]
  * Update German translation

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Fri, 14 Feb 2025 18:45:02 +0100

gnome-shell-extension-ubuntu-dock (99ubuntu3) plucky; urgency=medium

  * control: Bump dependency to gnome-shell (<< 49~)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 10 Feb 2025 17:03:06 +0800

gnome-shell-extension-ubuntu-dock (99ubuntu2) plucky; urgency=medium

  [ Sergio Costas ]
  * Fix dot position on Gnome 46.2 and greater (dash-to-dock issue #2222)
  * Make the 'Pin to Dock' label translatable (dash-to-dock issue #2330)

  [ Daniel van Vugt ]
  * docking: Generalize unredirect toggling to support GNOME 48 and earlier
    (dash-to-dock issue #2347)
  * metadata.json: Enable GNOME 48 support

  [ César Quintana ]
  * Fix autohide after drag event (dash-to-dock issue #2174)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Mon, 10 Feb 2025 16:45:30 +0800

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 48~),
+Depends: gnome-shell (<< 49~),
          gnome-shell (>= 45~),
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE = 1

%:
	dh $@ --with translations

override_dh_install:
	dh_install --fail-missing
	rm debian/*/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com/COPYING
	touch $(shell realpath debian/*/usr/share/gnome-shell/extensions/ubuntu-dock@ubuntu.com)/ubuntu.css

override_dh_translations:
	make ./po/dashtodock.pot
	dh_translations

override_dh_auto_test:
	env ESLINT_TAP=1 dh_auto_test

## gnome-shell-extension-ubuntu-dock 101ubuntu1

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (101ubuntu1) questing; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * Release dash-to-dock v101
  * docking: Drop unused variable definition
  * metadata: Add support for GNOME 49
  * debian/{rules,control}: Automatically define gnome-shell deps based on
    extension metadata

  [ Peter Bittner ]
  * Correct German translation of threshold

  [ Morgan Antonsson ]
  * Update Swedish translation

  [ Tommimon ]
  * Fixing "Pin to Dock" translation in app grid menu

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 08 Jul 2025 04:27:54 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                node-chalk <!nocheck>,
                node-js-yaml <!nocheck>,
                node-strip-ansi <!nocheck>,
+               python3,
                sassc,
 Standards-Version: 4.1.1
 Vcs-Git: https://github.com/micheleg/dash-to-dock.git -b ubuntu-dock
@@ -17,8 +18,8 @@
 
 Package: gnome-shell-extension-ubuntu-dock
 Architecture: all
-Depends: gnome-shell (<< 49~),
-         gnome-shell (>= 45~),
+Depends: gnome-shell (>= ${gnome:MinimumVersion}~),
+         gnome-shell (<< ${gnome:MaximumVersion}~),
          ${misc:Depends},
          ${shlibs:Depends}
 Replaces: gnome-shell-extension-dashtodock,

=== debian/rules ===
--- 
+++ 
@@ -13,5 +13,10 @@
 	make ./po/dashtodock.pot
 	dh_translations
 
+override_dh_gencontrol:
+	dh_gencontrol -- \
+		-Vgnome:MinimumVersion=$(shell python3 -c "import json; print(min(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))") \
+		-Vgnome:MaximumVersion=$(shell python3 -c "import json; print(1+max(int(x) for x in json.load(open('metadata.json', 'rt'))['shell-version']))")
+
 override_dh_auto_test:
 	env ESLINT_TAP=1 dh_auto_test

## gnome-shell-extension-ubuntu-dock 101ubuntu3

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (101ubuntu3) questing; urgency=medium

  * debian/control: Downgrade gir1.2-dbusmenu-glib-0.4 to recommends

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Sep 2025 07:36:10 +0200

gnome-shell-extension-ubuntu-dock (101ubuntu2) questing; urgency=medium

  * d/control: Add explicit dependencies on gir packages
  * appSpread: Make the search entry insensitive during app spread
  * windowPreview: Fix typo
  * appIcons: Do not call missing functions in GNOME 49

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Wed, 03 Sep 2025 07:20:37 +0200

## gnome-shell-extension-ubuntu-dock 102ubuntu1

=== Makefile ===
# Basic Makefile

UUID = ubuntu-dock@ubuntu.com
BASE_MODULES = extension.js \
               metadata.json \
               COPYING \
               README.md \
               $(NULL)

EXTRA_MODULES = \
                appSpread.js \
                dash.js \
                docking.js \
                appIcons.js \
				appIconsDecorator.js \
                appIconIndicators.js \
                fileManager1API.js \
                imports.js \
                launcherAPI.js \
                locations.js \
                locationsWorker.js \
                notificationsMonitor.js \
                windowPreview.js \
                intellihide.js \
                prefs.js \
                theming.js \
                utils.js \
                dbusmenuUtils.js \
                desktopIconsIntegration.js \
                Settings.ui \
                $(NULL)

EXTRA_MEDIA = logo.svg \
              glossy.svg \
              highlight_stacked_bg.svg \
              highlight_stacked_bg_h.svg \
              $(NULL)

TOLOCALIZE =  prefs.js \
			  docking.js \
              appIcons.js \
              appIconsDecorator.js \
              locations.js \
              $(NULL)

MSGSRC = $(wildcard po/*.po)
ifeq ($(strip $(DESTDIR)),)
	INSTALLTYPE = local
	INSTALLBASE = $(HOME)/.local/share/gnome-shell/extensions
else
	INSTALLTYPE = system
	SHARE_PREFIX = $(DESTDIR)/usr/share
	INSTALLBASE = $(SHARE_PREFIX)/gnome-shell/extensions
endif
INSTALLNAME = ubuntu-dock@ubuntu.com

# The command line passed variable VERSION is used to set the version string
# in the metadata and in the generated zip-file. If no VERSION is passed, the
# current commit SHA1 is used as version number in the metadata while the
# generated zip file has no string attached.
ifdef VERSION
	VSTRING = _v$(VERSION)
else
	VERSION = $(shell git rev-parse HEAD)
	VSTRING =
endif

all: extension

clean:
	rm -f ./schemas/gschemas.compiled
	rm -f stylesheet.css
	rm -rf _build

extension: ./schemas/gschemas.compiled ./stylesheet.css $(MSGSRC:.po=.mo)

./schemas/gschemas.compiled: ./schemas/org.gnome.shell.extensions.dash-to-dock.gschema.xml
	glib-compile-schemas ./schemas/

potfile: ./po/dashtodock.pot

mergepo: potfile
	for l in $(MSGSRC); do \
		msgmerge -U $$l ./po/dashtodock.pot; \
	done;

./po/dashtodock.pot: $(TOLOCALIZE) Settings.ui
	mkdir -p po
	xgettext --keyword=__ --keyword=N__ --add-comments='Translators:' -o po/dashtodock.pot --package-name "Dash to Dock" --from-code=utf-8 $(TOLOCALIZE)
	intltool-extract --type=gettext/glade Settings.ui
	xgettext --keyword=_ --keyword=N_ --join-existing -o po/dashtodock.pot Settings.ui.h

./po/%.mo: ./po/%.po
	msgfmt -c $< -o $@

./stylesheet.css: ./_stylesheet.scss
ifeq ($(SASS), ruby)
	sass --sourcemap=none --no-cache --scss _stylesheet.scss stylesheet.css
else ifeq ($(SASS), dart)
	sass --no-source-map _stylesheet.scss stylesheet.css
else ifeq ($(SASS), sassc)
	sassc --omit-map-comment _stylesheet.scss stylesheet.css
else
	sassc --omit-map-comment _stylesheet.scss stylesheet.css
endif

install: install-local

install-local: _build
	rm -rf $(INSTALLBASE)/$(INSTALLNAME)
	mkdir -p $(INSTALLBASE)/$(INSTALLNAME)
	cp -r ./_build/* $(INSTALLBASE)/$(INSTALLNAME)/
ifeq ($(INSTALLTYPE),system)
	# system-wide settings and locale files
	rm -r $(INSTALLBASE)/$(INSTALLNAME)/schemas $(INSTALLBASE)/$(INSTALLNAME)/locale
	mkdir -p $(SHARE_PREFIX)/glib-2.0/schemas $(SHARE_PREFIX)/locale
	cp -r ./schemas/*gschema.* $(SHARE_PREFIX)/glib-2.0/schemas
	cp -r ./_build/locale/* $(SHARE_PREFIX)/locale
endif
	-rm -fR _build
	echo done

zip-file: _build check
	cd _build ; \
	zip -qr "$(UUID)$(VSTRING).zip" .
	mv _build/$(UUID)$(VSTRING).zip ./
	-rm -fR _build

_build: all
	-rm -fR ./_build
	mkdir -p _build
	cp $(BASE_MODULES) $(EXTRA_MODULES) _build
	cp -a dependencies _build
	cp stylesheet.css _build
	mkdir -p _build/media
	cd media ; cp $(EXTRA_MEDIA) ../_build/media/
	mkdir -p _build/schemas
	cp schemas/*.xml _build/schemas/
	cp schemas/gschemas.compiled _build/schemas/
	mkdir -p _build/locale
	for l in $(MSGSRC:.po=.mo) ; do \
		lf=_build/locale/`basename $$l .mo`; \
		mkdir -p $$lf; \
		mkdir -p $$lf/LC_MESSAGES; \
		cp $$l $$lf/LC_MESSAGES/dashtodock.mo; \
	done;
	sed -i 's/"version": -1/"version": "$(VERSION)"/'  _build/metadata.json;

ifeq ($(strip $(ESLINT)),)
    ESLINT = eslint
endif

ifneq ($(strip $(ESLINT_TAP)),)
    ESLINT_ARGS = -f tap
endif

check:
	ESLINT_USE_FLAT_CONFIG=false $(ESLINT) $(ESLINT_ARGS) .

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (102ubuntu1) questing; urgency=medium

  [ Marco Trevisan (Treviño) ]
  * New upstream release

  [ Kevin Nause ]
  * Settings UI update for pressure_threshold_adjustment fields:
    upper, step-increment and page-increment

  [ x9a ]
  * po: update Arabic translation

  [ 巴神汜 ]
  * add 'Pin to Dock' zh_CN

  [ Marco Trevisan (Treviño) ]
  * appIcons: Do not throw if parent class does not define vfunc
  * appIcons: Use clutter gestures if defined to show popup
  * po: Update translations to be adjusted for the typo
  * locations: Avoid using hardcoded strings for removable actions
  * locations: Use switch cases to handle removable actions

  [ Amr Ibrahim ]
  * locations: Fix unmount typo
  * Update German translation
  * locations: Fix action typo leading to error not being handled

 -- Marco Trevisan (Treviño) <marco@ubuntu.com>  Tue, 09 Sep 2025 17:41:26 +0200

=== debian/control ===
--- 
+++ 
@@ -20,8 +20,13 @@
 Architecture: all
 Depends: gnome-shell (>= ${gnome:MinimumVersion}~),
          gnome-shell (<< ${gnome:MaximumVersion}~),
+         gir1.2-atk-1.0,
+         gir1.2-glib-2.0,
+         gir1.2-gdkpixbuf-2.0,
+         gir1.2-pango-1.0,
          ${misc:Depends},
          ${shlibs:Depends}
+Recommends: gir1.2-dbusmenu-glib-0.4,
 Replaces: gnome-shell-extension-dashtodock,
 Description: Ubuntu Dock for GNOME Shell
  A dock for the Gnome Shell, default Ubuntu experience.

## gnome-shell-extension-ubuntu-dock 102ubuntu2

=== debian/changelog ===
gnome-shell-extension-ubuntu-dock (102ubuntu2) resolute; urgency=medium

  [ Daniel van Vugt ]
  * metadata.json: Declare support for GNOME 50

  [ Peter Gao ]
  * Update zh_CN.po, 修正笔误

  [ Marco Trevisan (Treviño) ]
  * locations: Use DesktopAppinfo from GioUnix (LP: #2125719)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Tue, 06 Jan 2026 17:32:06 +0800
